using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 비밀번호 재설정 DTO
    /// </summary>
    public class ResetPasswordDto
    {
        [Required(ErrorMessage = "이메일을 입력해주세요.")]
        [DataType(DataType.EmailAddress)]
        public required string Email { get; set; }

        [Required(ErrorMessage = "비밀번호를 입력해주세요.")]
        [MaxLength(255, ErrorMessage = "비밀번호를 확인해주세요.")]
        [DataType(DataType.Password)]
        public required string Password { get; set; }

        [Required(ErrorMessage = "비밀번호 확인을 입력해주세요.")]
        [Compare("Password", ErrorMessage = "비밀번호가 일치하지 않습니다.")]
        [DataType(DataType.Password)]
        public required string RePassword { get; set; }
    }
}
